<!--
  - Pfarrplaner
  -
  - @package Pfarrplaner
  - @author Christoph Fischer <chris@toph.de>
  - @copyright (c) Christoph Fischer, https://christoph-fischer.org
  - @license https://www.gnu.org/licenses/gpl-3.0.txt GPL 3.0 or later
  - @link https://codeberg.org/pfarr.tools/pfarrplaner
  - @version git: $Id$
  -
  - Sponsored by: Evangelischer Kirchenbezirk Balingen, https://www.kirchenbezirk-balingen.de
  -
  - Pfarrplaner is based on the Laravel framework (https://laravel.com).
  - This file may contain code created by Laravel's scaffolding functions.
  -
  - This program is free software: you can redistribute it and/or modify
  - it under the terms of the GNU General Public License as published by
  - the Free Software Foundation, either version 3 of the License, or
  - (at your option) any later version.
  -
  - This program is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  - GNU General Public License for more details.
  -
  - You should have received a copy of the GNU General Public License
  - along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<template>
    <admin-layout :title="(parish.name || 'Neues Pfarramt')+' bearbeiten'">
        <template v-slot:navbar-left>
            <save-button @click="saveParish"/>
            <nav-button @click="deleteParish" title="Pfarramt löschen"
                        class="ms-1" type="danger" icon="mdi mdi-delete">Löschen</nav-button>

        </template>
        <form-selectize :options="cities" name="city_id" v-model="myParish.city_id" label="Kirchengemeinde"/>
        <form-input name="name" label="Name" v-model="myParish.name" />
        <form-input name="code" label="Bezeichnung in DaviP" v-model="myParish.code" />
        <form-input name="congregation_name" label="Name der Teilkirchengemeinde" v-model="myParish.congregation_name"
                    placeholder="Leer lassen, wenn keine Teilkirchengemeinde"/>
        <form-input name="congregation_url" label="Link zur Teilkirchengemeinde" v-model="myParish.congregation_url"
                    placeholder="Leer lassen, wenn keine Teilkirchengemeinde"/>
        <form-input name="address" label="Straße" v-model="myParish.address" />
        <form-input name="zip" label="Postleitzahl" v-model="myParish.zip" />
        <form-input name="city" label="Ort" v-model="myParish.city" />
        <form-input name="phone" label="Telefon" v-model="myParish.phone" />
        <form-input name="email" label="E-Mailadresse" v-model="myParish.email" />
        <form-input name="assistant" label="Assistenz im Büro" v-model="myParish.assistant" />
        <form-input name="opening_hours" label="Öffnungszeiten" v-model="myParish.opening_hours" />
        <form-textarea name="csv" label="CSV-formatierte Straßeneinträge aus DaviP" rows="15" v-model="myParish.csv" />
    </admin-layout>
</template>

<script>
import SaveButton from "../../../components/Ui/buttons/SaveButton";
import NavButton from "../../../components/Ui/buttons/NavButton";
import FormInput from "../../../components/Ui/forms/FormInput";
import FormSelectize from "../../../components/Ui/forms/FormSelectize";
import FormTextarea from "../../../components/Ui/forms/FormTextarea";
export default {
    name: "ParishEditor",
    components: {FormTextarea, FormSelectize, FormInput, NavButton, SaveButton},
    props: {
        parish: Object,
        cities: Array,
    },
    data() {
        let myParish = this.parish;

        myParish.owningCity = myParish.city_id;
        myParish.csv = myParish.csv || '';
        return {
            myParish
        }
    },
    methods: {
        saveParish() {
            console.log(this.myParish);
            if (this.myParish.id) {
                this.$inertia.patch(route('parish.update', this.myParish.id), this.myParish);
            } else {
                this.$inertia.post(route('parish.store'), this.myParish);
            }
        },
        deleteParish() {
            if (!confirm('Willst du dieses Pfarramt wirklich löschen?')) return;
            this.$inertia.delete(route('parish.destroy', this.myParish.id));
        }
    }
}
</script>

<style scoped>

</style>
